Package org.h2.table

# Enum Class TableType

java.lang.Object
java.lang.Enum<TableType>
org.h2.table.TableType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableType>`, `Constable`

public enum TableType extends Enum<TableType>
The table types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTERNAL_TABLE_ENGINE`
The table type name for external table engines.
`MATERIALIZED_VIEW`
The table type name for materialized views.
`SYSTEM_TABLE`
The table type name for system tables.
`TABLE`
The table type name for regular data tables.
`TABLE_LINK`
The table type name for linked tables.
`VIEW`
The table type name for views.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static TableType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TableType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TABLE_LINK

public static final TableType TABLE_LINK
The table type name for linked tables.

### SYSTEM_TABLE

public static final TableType SYSTEM_TABLE
The table type name for system tables. (aka. MetaTable)

### TABLE

public static final TableType TABLE
The table type name for regular data tables.

### VIEW

public static final TableType VIEW
The table type name for views.

### EXTERNAL_TABLE_ENGINE

public static final TableType EXTERNAL_TABLE_ENGINE
The table type name for external table engines.

### MATERIALIZED_VIEW

public static final TableType MATERIALIZED_VIEW
The table type name for materialized views.

## Method Details

### values

public static TableType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TableType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TableType>`